DEPUTY(1)

NAME
deputy - Advanced C compiler that enforces type and memory safety

SYNOPSIS
deputy [options] files...

DESCRIPTION
Deputy is an advanced C compiler that enforces type and memory safety in existing C programs. The programmer must add type annotations that describe, for example, the bounds of each pointer in terms of other program variables. Deputy uses static analysis and run-time checks to enforce safety based on these annotations.

Further information and documentation is available at http://deputy.cs.berkeley.edu/.

OPTIONS
The deputy command is designed to be a drop-in replacement for gcc, so most of the standard options for gcc should work as expected. Further information can be found at the URL above and by using the following commands:

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

SEE ALSO
gcc(1).

AUTHOR
Deputy was written by Jeremy Condit <jcondit@cs.berkeley.edu>, Matthew Harren <matth@cs.berkeley.edu>, Zachary Anderson <zra@cs.berkeley.edu>, and George C. Necula <necula@cs.berkeley.edu>.

This manual page was written by Jeremy Condit <jcondit@cs.berkeley.edu>.